%define url_ver %(echo %{version} | cut -d. -f1,2)

# currently broken
%define with_clutter 0

# exclude plugins from autoprov
%global __provides_exclude_from %{_libdir}/%{name}-0/.*\\.so

# fix COPR builds
%{?!_metainfodir:%global _metainfodir %_datadir/metainfo}

Summary:	A modern media player based on the GStreamer framework
Name:		parole
Version:	4.18.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://goodies.xfce.org/projects/applications/parole
Source0:	https://archive.xfce.org/src/apps/parole/%{url_ver}/%{name}-%{version}.tar.bz2
Patch1:		0001-Fix-segfault-in-Wayland-session.patch
Patch2:		0001-Don-t-offer-to-install-missing-gst-plugins.patch
BuildRequires:	intltool
%if %{with_clutter}
BuildRequires:	pkgconfig(clutter-1.0)
BuildRequires:	pkgconfig(clutter-gtk-1.0)
%endif
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-video-1.0)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(taglib_c)

# for base functionality
Requires:	gstreamer1.0-plugins-base
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-plugins-bad
Requires:	gstreamer1.0-plugins-ugly

# for video/x-h264 support
Requires:	gstreamer1.0-ffmpeg

# for ac3 audio support
Requires:	gstreamer1.0-a52dec

# for midi files
Recommends:	gstreamer1.0-fluidsynth

Obsoletes:	%{name}-browser-plugin < 0.2.0.6

%description
Parole is a modern simple media player based on the GStreamer framework and
written to fit well in the Xfce desktop. Parole is designed with simplicity,
speed and resource usage in mind.

Parole features playback of local media files, including video with subtitles
support, DVD/CD and live streams. Parole is also extensible via plugins.

%prep
%setup -q
%autopatch -p1

%build
%configure \
%if %{with_clutter}
	--enable-clutter
%else
	--disable-clutter
%endif
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

# no devel pkg, yet
rm -rf %{buildroot}%{_includedir}/%{name}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog TODO THANKS README*
%{_bindir}/%{name}
%{_libdir}/parole-0/
%{_datadir}/%{name}/
%{_datadir}/applications/org.xfce.Parole.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_metainfodir}/%{name}.appdata.xml
